/*
 * 
 * SOCLIB_LGPL_HEADER_BEGIN
 * 
 * This file is part of SoCLib, GNU LGPLv2.1.
 * 
 * SoCLib is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation; version 2.1 of the License.
 * 
 * SoCLib is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with SoCLib; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA
 * 
 * SOCLIB_LGPL_HEADER_END
 * 
 * Copyright (c) CITI/INSA, 2009
 * 
 * Authors:
 * 	Ludovic L'Hours <ludovic.lhours@insa-lyon.fr>
 * 	Antoine Fraboulet <antoine.fraboulet@insa-lyon.fr>
 * 	Tanguy Risset <tanguy.risset@insa-lyon.fr>
 * 
 */

#ifndef FIR16_SLAVE_REGS_H
#define FIR16_SLAVE_REGS_H

enum {
	FIR16_INPUT,
	FIR16_OUTPUT,
	FIR16_COEF0,
	FIR16_COEF1,
	FIR16_COEF2,
	FIR16_COEF3,
	FIR16_COEF4,
	FIR16_COEF5,
	FIR16_COEF6,
	FIR16_COEF7,
	FIR16_COEF8,
	FIR16_COEF9,
	FIR16_COEF10,
	FIR16_COEF11,
	FIR16_COEF12,
	FIR16_COEF13,
	FIR16_COEF14,
	FIR16_COEF15,
};

#endif /* FIR16_SLAVE_REGS_H */
